Wrap Order
POSThttps://api.gemini.com/v1/wrap/{symbol}
Place a wrap or unwrap order for a supported symbol.
curl --request POST \
--url https://api.gemini.com/v1/wrap/GUSDUSD \
--header 'Content-Type: application/json' \
--header 'X-GEMINI-APIKEY: <string>' \
--header 'X-GEMINI-PAYLOAD: <string>' \
--header 'X-GEMINI-SIGNATURE: <string>' \
--data '
{
"request": "/v1/wrap/GUSDUSD",
"nonce": "<nonce>",
"amount": "1",
"side": "buy",
"client_order_id": "4ac6f45f-baf1-40f8-83c5-001e3ea73c7f"
}
'
Roles
The API key you use to access this endpoint must have the Trader role assigned. See Roles for more information.
The OAuth scope must have orders:create assigned to access this endpoint. See OAuth Scopes for more information.
Headers
X-GEMINI-APIKEYstring·required
Your API keyX-GEMINI-SIGNATUREstring·required
HEX-encoded HMAC-SHA384 of payload signed with API secretX-GEMINI-PAYLOADstring·required
Base64-encoded JSON payloadContent-Typestring
Default: text/plainContent-Lengthstring
Default: 0Cache-Controlstring
Default: no-cacheRequest Body
requeststring·required
The literal string "/v1/wrap/symbol"nonceTimestampType | integer·required
timestampExample: 1495127793000amountstring·required
The amount to wrapsidestring·enum
"buy" or "sell"Enum values: buysellclient_order_idstring
A client-specified order idaccountstring
Required for Master API keys. The name of the account within the subaccount group.{
"request": "/v1/wrap/GUSDUSD",
"nonce": "<nonce>",
"amount": "1",
"side": "buy",
"client_order_id": "4ac6f45f-baf1-40f8-83c5-001e3ea73c7f"
}
Responses
Successful operation
orderIdstring
The order IDpairstring
Trading pair symbolpricestring
The price of the orderpriceCurrencystring
The currency in which the order is pricedsidestring
Either "buy" or "sell"quantitystring
The amount that was executedquantityCurrencystring
The currency label for the quantity fieldtotalSpendstring
Total quantity spent for the ordertotalSpendCurrencystring
Currency of the totalSpendfeestring
The amount chargedfeeCurrencystring
Currency that the fee was paid indepositFeestring
The deposit fee quantitydepositFeeCurrencystring
Currency in which depositFee is taken{
"orderId": 429135395,
"pair": "GUSDUSD",
"price": "1",
"priceCurrency": "USD",
"side": "buy",
"quantity": "1",
"quantityCurrency": "GUSD",
"totalSpend": "1",
"totalSpendCurrency": "USD",
"fee": "0",
"feeCurrency": "USD",
"depositFee": "0",
"depositFeeCurrency": "USD"
}